/*
 * option.h -
 *  Command-line options
 */



#ifndef OPTION_H
#define OPTION_H



#ifdef __cplusplus
extern "C"
{
#endif



int Opt_parse (int argc, char *argv [], int start);


#ifdef __cplusplus
}
#endif



/*
 * Public globals for the options themselves
 */
extern int   Option_start_level;
extern int   Option_frame_times;
extern int   Option_print_map;
extern int   Option_start_x;
extern int   Option_start_y;
extern int   Option_screen_width;
extern int   Option_screen_height;
extern int   Option_underworld;
extern int   Option_extract;
extern int   Option_extract_sub;
extern int   Option_extract_all;
extern int   Option_fov;
extern int   Option_dump_chunk;
extern int   Option_dump_strings;
extern char  Option_hd_dir [];
extern char  Option_cd_dir [];
extern char  Option_uw_dir [];
extern char  Option_mfd_cfg[];
extern float Option_dark_gamma;
extern int   Option_fullscreen;
extern int   Option_no_alogs;
extern int   Option_no_vmail;
extern int   Option_no_hud;


#endif /* OPTION_H */
