/*
 * export.h -
 *  Texture extractor (PNG)
 */



/*
 * Function prototypes
 */
void Exp_write_all_textures (void);
void Exp_write_texture (int chunk, int subchunk);

#if HAVE_PNG
void Exp_write_png8 (int width, int height, byte *bits, const char *name);
void Exp_write_png32 (int width, int height, uint32 *bits, const char *name);
#endif /* HAVE_PNG */

void Exp_write_tga8(int width, int height, byte *bits, const char *name,
										const uint32 *pPal, const char *strDesc);
void Exp_write_tga32(int width, int height, uint32 *bits, const char *name,
										 const char *strDesc);
